Problems installing dotnet core RC2 on Ubuntu 14.04.04 due to libunwind

I am trying to install the RC2 of dotnet from Microsoft. I am following the instructions on https://www.microsoft.com/net/core#ubuntu.

When calling curl -sSL https://raw.githubusercontent.com/dotnet/cli/rel/1.0.0/scripts/obtain/dotnet-install.sh | bash /dev/stdin --version 1.0.0-preview1-002702 --install-dir ~/dotnet I get an error saying I have to install libunwind first.

To install libunwind you have to clone the git repo with
git clone git://git.sv.gnu.org/libunwind.git

Following instructions on Internets tells you to start the installation by issuing autoreconf -i. But that might tell you that you have to install libtool. To install libtool issue command sudo apt-get install autoconf libtool to install autoconf and libtool. Now we head back to installing libunwind. Run
autoreconf -i
./configure
make
sudo make install

Now you can continue to install dotnet. Enjoy